import CLISettings from '../../../_clisettings.mdx';
import Global from '../../_global.mdx';

# cli config reset

Resets the specified CLI configuration option to its default value

## Usage

```sh
m365 cli config reset [options]
```

## Options

```md definition-list
`-k, --key [key]`
: Config key to reset. If not specified, will reset all configuration settings to default
```

<Global />

## Available settings

Following is the list of configuration settings available in CLI for Microsoft 365.

<CLISettings />

## Examples

Reset CLI configuration option _showHelpOnFailure_ to its default value

```sh
m365 cli config reset --key showHelpOnFailure
```

Reset all configuration settings to default

```sh
m365 cli config reset
```

## Response

The command won't return a response on success.

## More information

- [Configuring the CLI for Microsoft 365](../../../user-guide/configuring-cli.mdx)
